Upstream information

CVE-2019-1788 at MITRE

Description

A vulnerability in the Object Linking & Embedding (OLE2) file scanning functionality of Clam AntiVirus (ClamAV) Software versions 0.101.1 and prior could allow an unauthenticated, remote attacker to cause a denial of service condition on an affected device. The vulnerability is due to a lack of proper input and validation checking mechanisms for OLE2 files sent an affected device. An attacker could exploit this vulnerability by sending malformed OLE2 files to the device running an affected version ClamAV Software. An exploit could allow the attacker to cause an out-of-bounds write condition, resulting in a crash that could result in a denial of service condition on an affected device.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.3
Vector AV:N/AC:M/Au:N/C:N/I:N/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 5.5 8.2
Vector AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:L/A:H
Access Vector Local Network
Access Complexity Low Low
Privileges Required None None
User Interaction Required None
Scope Unchanged Unchanged
Confidentiality Impact None None
Integrity Impact None Low
Availability Impact High High
SUSE Bugzilla entry: 1130721 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Enterprise Storage 4
  • clamav >= 0.100.3-33.21.1
Patchnames:
SUSE-Storage-4-2019-897
SUSE Linux Enterprise Desktop 12 SP3
  • clamav >= 0.100.3-33.21.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP3-2019-897
SUSE Linux Enterprise Desktop 12 SP4
  • clamav >= 0.100.3-33.21.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP4-2019-897
SUSE Linux Enterprise Module for Basesystem 15
  • clamav >= 0.100.3-3.9.1
  • clamav-devel >= 0.100.3-3.9.1
  • libclamav7 >= 0.100.3-3.9.1
  • libclammspack0 >= 0.100.3-3.9.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-2019-861
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • clamav >= 0.100.3-3.9.1
  • clamav-devel >= 0.100.3-3.9.1
  • libclamav7 >= 0.100.3-3.9.1
  • libclammspack0 >= 0.100.3-3.9.1
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP1 GA clamav
SUSE Linux Enterprise Point of Sale 11 SP3
  • clamav >= 0.100.3-0.20.21.1
Patchnames:
sleposp3-clamav-14015
SUSE Linux Enterprise Point of Sale 12 SP2-CLIENT
  • clamav >= 0.100.3-33.21.1
Patchnames:
SUSE-SLE-POS-12-SP2-CLIENT-2019-897
SUSE Linux Enterprise Server 11 SP4-LTSS
  • clamav >= 0.100.3-0.20.21.1
Patchnames:
slessp4-clamav-14015
SUSE Linux Enterprise Server 12 SP1-LTSS
  • clamav >= 0.100.3-33.21.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2019-897
SUSE Linux Enterprise Server 12 SP2-BCL
  • clamav >= 0.100.3-33.21.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2019-897
SUSE Linux Enterprise Server 12 SP2-ESPOS
  • clamav >= 0.100.3-33.21.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-ESPOS-2019-897
SUSE Linux Enterprise Server 12 SP2-LTSS
  • clamav >= 0.100.3-33.21.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2019-897
SUSE Linux Enterprise Server 12 SP3
  • clamav >= 0.100.3-33.21.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2019-897
SUSE Linux Enterprise Server 12 SP4
  • clamav >= 0.100.3-33.21.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-2019-897
SUSE Linux Enterprise Server 12-LTSS
  • clamav >= 0.100.3-33.21.1
Patchnames:
SUSE-SLE-SERVER-12-2019-897
SUSE Linux Enterprise Server for SAP Applications 11 SP4-LTSS
  • clamav >= 0.100.3-0.20.21.1
Patchnames:
slessp4-clamav-14015
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • clamav >= 0.100.3-33.21.1
Patchnames:
SUSE-SLE-SAP-12-SP1-2019-897
SUSE Linux Enterprise Server for SAP Applications 12 SP1-LTSS
  • clamav >= 0.100.3-33.21.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2019-897
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • clamav >= 0.100.3-33.21.1
Patchnames:
SUSE-SLE-SAP-12-SP2-2019-897
SUSE Linux Enterprise Server for SAP Applications 12 SP2-BCL
  • clamav >= 0.100.3-33.21.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2019-897
SUSE Linux Enterprise Server for SAP Applications 12 SP2-ESPOS
  • clamav >= 0.100.3-33.21.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-ESPOS-2019-897
SUSE Linux Enterprise Server for SAP Applications 12 SP2-LTSS
  • clamav >= 0.100.3-33.21.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2019-897
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • clamav >= 0.100.3-33.21.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2019-897
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • clamav >= 0.100.3-33.21.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-2019-897
SUSE Linux Enterprise Server for SAP Applications 12-LTSS
  • clamav >= 0.100.3-33.21.1
Patchnames:
SUSE-SLE-SERVER-12-2019-897
SUSE OpenStack Cloud 7
  • clamav >= 0.100.3-33.21.1
Patchnames:
SUSE-OpenStack-Cloud-7-2019-897
openSUSE Leap 15.0
  • clamav >= 0.100.3-lp150.2.10.1
  • clamav-debuginfo >= 0.100.3-lp150.2.10.1
  • clamav-debugsource >= 0.100.3-lp150.2.10.1
  • clamav-devel >= 0.100.3-lp150.2.10.1
  • libclamav7 >= 0.100.3-lp150.2.10.1
  • libclamav7-debuginfo >= 0.100.3-lp150.2.10.1
  • libclammspack0 >= 0.100.3-lp150.2.10.1
  • libclammspack0-debuginfo >= 0.100.3-lp150.2.10.1
Patchnames:
openSUSE-2019-1210
openSUSE Leap 42.3
  • clamav >= 0.100.3-35.1
  • clamav-debuginfo >= 0.100.3-35.1
  • clamav-debugsource >= 0.100.3-35.1
Patchnames:
openSUSE-2019-1208


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 12 SP3 clamav Released
SUSE Linux Enterprise Desktop 12 SP4 clamav Released
SUSE Linux Enterprise High Performance Computing 12 clamav Released
SUSE Linux Enterprise Module for Basesystem 15 GA clamav Released
SUSE Linux Enterprise Server 11 SP3 LTSS clamav Affected
SUSE Linux Enterprise Server 11 SP4 clamav Affected
SUSE Linux Enterprise Server 11 SP4 LTSS clamav Released
SUSE Linux Enterprise Server 12 GA LTSS clamav Released
SUSE Linux Enterprise Server 12 SP1 LTSS clamav Released
SUSE Linux Enterprise Server 12 SP2 LTSS clamav Released
SUSE Linux Enterprise Server 12 SP3 clamav Released
SUSE Linux Enterprise Server 12 SP4 clamav Released
SUSE Linux Enterprise Server for SAP Applications 11 SP3 clamav Affected
SUSE Linux Enterprise Server for SAP Applications 12 GA clamav Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 clamav Released
SUSE Linux Enterprise Server for SAP Applications 12 SP4 clamav Released